# Android Browser Proxy App

An application that opens multiple Android browsers with residential proxies for debugging TV streams.

## Features

- Launch multiple browser instances with different proxy configurations
- Support for various browsers (Chrome, Firefox, Samsung Internet, etc.)
- Free residential proxy integration
- Proxy rotation capabilities
- Country-specific proxy filtering
- Status monitoring and management

## Documentation

Please refer to the following documentation files:

- [User Guide](docs/user_guide.md) - Instructions for using the app
- [Installation Guide](docs/installation_guide.md) - How to install the app
- [Developer Documentation](docs/developer_documentation.md) - Technical details for developers

## Requirements

- Android 7.0 (API level 24) or higher
- Non-rooted device
- Internet connection
- At least one browser app installed

## Building the App

1. Open the project in Android Studio
2. Sync Gradle files
3. Build the project using the "Build" menu
4. Generate a signed APK for distribution

## License

This project is licensed under the MIT License - see the LICENSE file for details.
