# Android Browser Proxy App - Installation Guide

## Prerequisites

Before installing the Android Browser Proxy App, ensure your device meets the following requirements:

- Android 7.0 (API level 24) or higher
- At least 50MB of free storage space
- Active internet connection
- At least one browser app installed (Chrome, Firefox, Samsung Internet, etc.)
- Non-rooted device (the app is designed to work without root access)

## Installation Steps

### Method 1: Direct APK Installation

1. **Enable Unknown Sources**:
   - Go to Settings > Security (or Privacy)
   - Enable "Install from Unknown Sources" or "Install Unknown Apps"
   - On Android 8.0+, you may need to enable this permission specifically for your file manager or browser

2. **Download the APK**:
   - Download the `android_browser_proxy_app.apk` file to your device
   - You can transfer it via USB, download it from a shared link, or use any other transfer method

3. **Install the APK**:
   - Navigate to the downloaded APK file using your file manager
   - Tap on the APK file
   - Follow the on-screen prompts to install the app
   - Tap "Install" when prompted

4. **Grant Permissions**:
   - When you first launch the app, it will request necessary permissions
   - The app requires internet access permission to function properly
   - Grant all requested permissions to ensure full functionality

### Method 2: Build from Source

For developers who want to build the app from source:

1. **Clone the Repository**:
   ```
   git clone https://github.com/yourusername/android-browser-proxy-app.git
   ```

2. **Open in Android Studio**:
   - Launch Android Studio
   - Select "Open an Existing Project"
   - Navigate to the cloned repository and select it

3. **Build the Project**:
   - Wait for Gradle sync to complete
   - Select Build > Build Bundle(s) / APK(s) > Build APK(s)

4. **Install on Device**:
   - Connect your Android device to your computer
   - Enable USB debugging in Developer Options
   - In Android Studio, select Run > Run 'app'
   - Select your device from the list

## Verifying Installation

After installation, verify that the app is working correctly:

1. Launch the app from your device's app drawer
2. The main screen should appear with input fields for URL, browser selection, and instance count
3. Check that the status shows "Ready to launch browsers with proxies"

## Troubleshooting Installation Issues

### App Won't Install

- Ensure you have sufficient storage space
- Check that you've enabled installation from unknown sources
- Verify that the APK file is not corrupted by re-downloading it

### App Crashes on Launch

- Verify that your device meets the minimum Android version requirement (7.0+)
- Ensure you've granted all necessary permissions
- Try restarting your device

### Permission Issues

- If you denied permissions initially, you can grant them later in Settings > Apps > Android Browser Proxy App > Permissions

## Uninstallation

If you need to uninstall the app:

1. Go to Settings > Apps > Android Browser Proxy App
2. Tap "Uninstall"
3. Confirm the uninstallation

Alternatively, you can long-press the app icon in your app drawer and select "Uninstall" or drag it to the "Uninstall" area (depending on your device).

## Updates

The app does not currently include an auto-update mechanism. To update to a newer version:

1. Uninstall the current version
2. Download and install the new version following the steps above

This installation guide provides all the information needed to successfully install and verify the Android Browser Proxy App on your device.
